#include<iostream>
#include<stdlib.h>
int main()
{
    int res=0;
    int n;
    std::cin>>n;
    int *arr=(int*)malloc(sizeof(int)*n);
    for(int i=0;i<n;i++)
    {
        std::cin>>arr[i];
    }
    for(int i=0;i<n-1;i++)
    {
        if(arr[i]%2==0)res+=n-i;
        else
        {
            for(int j=i+1;j<n;j++)
            {
                if(arr[j]%2==0)
                {
                    res+=n-j;
                    break;
                }
            }
        }
    }
    std::cout<<res;
    return 0;
}
